<style>
  <?php 
  MBThemes_color(); 

  if(_MBT('timthumb_height') && _MBT('timthumb_height') != '180'){
  ?>
  .grids .grid img{height: <?php echo _MBT('timthumb_height');?>px;}
  @media (max-width: 1230px){
    .grids .grid img{height: <?php echo (_MBT('timthumb_height')=="285")?"232.5":(232.5*_MBT('timthumb_height')/285);?>px;}
  }
  @media (max-width: 1024px){
    .grids .grid img{height: <?php echo _MBT('timthumb_height');?>px;}
  }
  @media (max-width: 925px){
    .grids .grid img{height: <?php echo (_MBT('timthumb_height')=="285")?"232.5":(232.5*_MBT('timthumb_height')/285);?>px;}
  }
  @media (max-width: 768px){
    .grids .grid img{height: <?php echo _MBT('timthumb_height');?>px;}
  }
  @media (max-width: 620px){
    .grids .grid img{height: <?php echo (_MBT('timthumb_height')=="285")?"232.5":(232.5*_MBT('timthumb_height')/285);?>px;}
  }
  @media (max-width: 480px){
    .grids .grid img{height: auto;}
  }
  <?php
  }

  if(_MBT('header_type') == 'dark'){
  ?>
  .header{background: #191919}
  .nav-main > li > a, .nav-right a{color:#cacaca;}
  .nav-main> li.current-menu-item > a, .nav-main > li > a:hover, .nav-right a:hover, .nav-main> li.current-menu-parent > a{color:#fff;}
  @media (max-width: 768px){
    .nav-right .nav-button a {color: #cacaca;}
    .nav-mobile-show .nav-main{background: #191919;border-top: 1px solid #403e3e;}
    .nav-mobile-show .nav-main .sub-menu.show{background: #191919}
  }
  <?php
  }

  if( (_MBT('banner') || _MBT('slider')) && _MBT('header_type') == 'default'){
  	  $theme_color_custom = _MBT('theme_color_custom');
	  $theme_color = _MBT('theme_color');
	  $color = '#1d1d1d';
	  if($theme_color && $theme_color != '#1d1d1d'){
	   $color = $theme_color;
	 }
	 if($theme_color_custom && $theme_color_custom != '#1d1d1d'){
	   $color = $theme_color_custom;
	 }
  ?>
  body.home .banner{margin-top: -70px;}
  body.home .swiper-container{margin-top: -70px;}
  body.home .swiper-container .swiper-slide:after {content: "";position: absolute;top: 0;bottom: 0;left: 0;right: 0;background: rgba(0,0,0,.7);z-index: 9;}
  body.archive .banner-archive,body.search .banner-archive, body.page-template-all .banner-archive {height: 250px !important;padding-top: 110px !important;margin-top: -70px;}
  body.home .header, body.archive .header, body.search .header, body.page-template-all .header{background: transparent;}
  body.home .header.scrolled, body.archive .header.scrolled, body.search .header.scrolled, body.page-template-all .header.scrolled{background: #fff}
  body.home .header .nav-main > li > a, body.home .header .nav-right a, body.archive .header .nav-main > li > a, body.archive .header .nav-right a, body.search .header .nav-main > li > a, body.search .header .nav-right a, body.page-template-all .header .nav-main > li > a, body.page-template-all .header .nav-right a{color:#cacaca;}
  body.home .header .nav-main> li.current-menu-item > a, body.home .header .nav-main > li > a:hover, body.home .header .nav-right a:hover, body.archive .header .nav-main> li.current-menu-item > a, body.archive .header .nav-main > li > a:hover, body.archive .header .nav-right a:hover, body.search .header .nav-main> li.current-menu-item > a, body.search .header .nav-main > li > a:hover, body.search .header .nav-right a:hover, body.page-template-all .header .nav-main > li > a:hover, body.page-template-all .header .nav-right a:hover{color:#fff;}
  .header.scrolled .nav-main a, .header.scrolled .nav-right a{color:#6b6b6b !important;}
  .header.scrolled .nav-main a:hover, .header.scrolled .nav-main> li.current-menu-item > a, .header.scrolled .nav-right a:hover{color:<?php echo $color;?> !important;}
  .header.scrolled .nav-right .nav-vip a:hover, .header.scrolled .nav-right .nav-vip a{color:#fff !important;}
  @media (max-width: 768px){
    body.home .header .nav-main > li > a, body.archive .header .nav-main > li > a, body.search .header .nav-main > li > a, body.page-template-all .header .nav-main > li > a{color:#6b6b6b;}
    body.home .banner, body.home .swiper-container{margin-top: -60px;}
    body.home .header .nav-main> li.current-menu-item > a, body.archive .header .nav-main> li.current-menu-item > a, body.search .header .nav-main> li.current-menu-item > a, body.page-template-all .header .nav-main> li.current-menu-item > a{color:#1d1d1d;}
  }
  <?php 
  }

  if(_MBT('list_column') == 'five'){
    echo '.container{max-width:1505px;}';
  }
  if(_MBT('header_fullwidth')){
    echo '.header .container{max-width:none !important;padding:0 15px;}';
  }

  if(_MBT('logo_width')){
    echo '.logo{width:'._MBT('logo_width').'px;}';
    echo '@media (max-width: 1024px){.logo, .logo a {width: '._MBT('logo_width_wap').'px;height: 60px;}}';
  }

  if(_MBT('header_vip_wap')){
    echo '@media (max-width: 768px){.nav-right .nav-vip{display: none;}}';
  }

  echo _MBT('css');

  ?>
</style>