<!DOCTYPE HTML>
<html itemscope="itemscope" itemtype="http://schema.org/WebPage">
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
<meta name="apple-mobile-web-app-title" content="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
<meta http-equiv="Cache-Control" content="no-siteapp">
<title><?php wp_title( '-', true, 'right' ); ?></title>
<?php MBThemes_keywords();MBThemes_description();?>
<link rel="shortcut icon" href="<?php echo _MBT('favicon')?>">
<?php wp_head();?>
<!--[if lt IE 9]><script src="<?php bloginfo('template_url') ?>/static/js/html5.min.js"></script><![endif]-->
<script>window._MBT = {uri: '<?php bloginfo('template_url') ?>', url:'<?php bloginfo('url');?>',usr: '<?php echo get_permalink(MBThemes_page("template/user.php"));?>', roll: [<?php echo _MBT('sidebar_fixed');?>], admin_ajax: '<?php echo admin_url('admin-ajax.php');?>'}</script>
<?php get_template_part("inc/skin");?>
</head>
<body <?php body_class(); ?>>
<header class="header">
  <div class="container clearfix">
  	<?php $logoTagName = is_home() ? 'h1' : 'div';?>
    <?php echo '<'.$logoTagName;?> class="logo"><a <?php if(_MBT('logo')) echo 'style="background-image:url('._MBT('logo').')"';?> href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?></a></<?php echo $logoTagName.'>';?>
    <ul class="nav-main">
      <?php echo str_replace("</ul></div>", "", preg_replace("{<div[^>]*><ul[^>]*>}", "", wp_nav_menu(array('theme_location' => 'main', 'echo' => false)) )); ?>
    </ul>
    <ul class="nav-right">
      <?php if(_MBT('header_vip')){?>
      <li class="nav-vip">
        <a href="<?php echo get_permalink(MBThemes_page("template/vip.php"));?>">升级VIP</a>
      </li>
      <?php }?>
      <?php if(_MBT('header_tougao')){?>
      <li class="nav-tougao">
        <a href="<?php echo get_permalink(MBThemes_page("template/tougao.php"));?>" title="投稿"><i class="dripicons dripicons-upload"></i></a>
      </li>
      <?php }?>
      <li class="nav-search">
        <a href="javascript:;" class="search-loader" title="搜索"><i class="dripicons dripicons-search"></i></a>
      </li>
      <?php if(!is_user_logged_in()){?>
      <li class="nav-login"><a href="<?php echo get_permalink(MBThemes_page("template/login.php"));?>" class="signin-loader"><i class="dripicons dripicons-user"></i> <span>登录</span></a></li>
      <?php }else{?>
      <li class="nav-login"><a href="<?php echo get_permalink(MBThemes_page("template/user.php"));?>" ><i class="dripicons dripicons-user"></i> <span>个人中心</span></a></li>
      <?php }?>
      <li class="nav-button"><a href="javascript:;" class="nav-loader"><i class="dripicons dripicons-align-justify"></i></a></li>
    </ul>
  </div>
</header>
<div class="search-wrap">
  <div class="container">
    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form" method="get">
      <input autocomplete="off" class="search-input" name="s" placeholder="输入关键字回车" type="text">
      <i class="dripicons dripicons-cross"></i>
    </form>
  </div>
</div>