<?php get_header();$nosidebar = get_post_meta(get_the_ID(),'nosidebar',true);?>
<div class="main">
	<div class="container">
		<?php if (function_exists('MBThemes_breadcrumbs')) MBThemes_breadcrumbs(); ?>
		<div class="content-wrap">
	    	<div class="content<?php if($nosidebar) echo ' nosidebar';?>">
	    		<?php MBThemes_ad('ad_post_header');?>
	    		<?php while (have_posts()) : the_post(); ?>
	    		<article class="single-content">
		    		<header class="article-header">
		    			<h1 class="article-title"><?php the_title(); ?></h1>
		    			<div class="article-meta">
		    				<?php if(_MBT('post_date')){?><span class="item"><i class="dripicons dripicons-clock"></i> <?php echo get_the_date().' '.get_the_time(); ?></span><?php }?>
		    				<span class="item"><i class="dripicons dripicons-folder"></i> <?php $category = get_the_category(); ?><a href="<?php echo get_category_link($category[0]->term_id );?>"><?php echo $category[0]->cat_name;?></a></span>
		    				<?php if(_MBT('post_views')){?><span class="item"><i class="dripicons dripicons-preview"></i> <?php MBThemes_views() ?></span><?php }?>
		    				<span class="item"><?php edit_post_link('[编辑]'); ?></span>
		    			</div>
		    		</header>
		    		<div class="article-content">
		    			<?php if(wp_is_erphpdown_active()){ if(_MBT('down_position') == 'top' || _MBT('down_position') == 'sidetop') MBThemes_erphpdown_box();}?>
		    			<?php the_content(); ?>
		    			<?php wp_link_pages('link_before=<span>&link_after=</span>&before=<div class="article-paging">&after=</div>&next_or_number=number'); ?>
		    			<?php if(wp_is_erphpdown_active()){ if(_MBT('down_position') == 'bottom' || _MBT('down_position') == 'sidebottom' || _MBT('down_position') == 'side') MBThemes_erphpdown_box();}?>
		            </div>
		    		<?php endwhile;  ?>
		            <?php if(_MBT('post_tags')) the_tags('<div class="article-tags">','','</div>'); ?>
		            <?php if(_MBT('post_share') || _MBT('post_zan') || _MBT('post_collect')){?>
		            	<div class="article-act">
		            	<?php if(_MBT('post_collect')){?>
		            		<?php if(is_user_logged_in()){?>
		            			<?php if(MBThemes_check_collect(get_the_ID())){?>
		            			<a href="javascript:;" class="article-collect active" data-id="<?php the_ID();?>" title="已收藏"><i class="dripicons dripicons-star"></i> 已收藏</a>
		            			<?php }else{?>
		            			<a href="javascript:;" class="article-collect" data-id="<?php the_ID();?>" title="收藏"><i class="dripicons dripicons-star"></i> 收藏</a>
		            			<?php }?>
		            		<?php }else{?>
		            			<a href="javascript:;" class="article-collect signin-loader" title="收藏"><i class="dripicons dripicons-star"></i> 收藏</a>
		            		<?php }?>
		            	<?php }?>
		            	<?php if(_MBT('post_zan')){?>
		            		<a href="javascript:;" class="article-zan" data-id="<?php the_ID();?>" title="赞"><i class="dripicons dripicons-thumbs-up"></i> <span><?php echo MBThemes_get_zans(get_the_ID());?></span></a>
		            	<?php }?>
			            <?php if(_MBT('post_share')) echo '<div class="article-shares">
					        <a href="javascript:;" data-url="'. get_the_permalink() .'" class="share-weixin" title="分享到微信"><i class="fa">&#xe60e;</i></a><a data-share="qzone" class="share-qzone" title="分享到QQ空间"><i class="fa">&#xe607;</i></a><a data-share="weibo" class="share-tsina" title="分享到新浪微博"><i class="fa">&#xe608;</i></a><a data-share="qq" class="share-sqq" title="分享到QQ好友"><i class="fa">&#xe609;</i></a><a data-share="douban" class="share-douban" title="分享到豆瓣网"><i class="fa">&#xe60b;</i></a>
					    </div>';?>
						</div>
					<?php }?>
		            <?php if(_MBT('post_nav')){?>
	                <nav class="article-nav">
	                    <span class="article-nav-prev"><?php previous_post_link('上一篇<br>%link'); ?></span>
	                    <span class="article-nav-next"><?php next_post_link('下一篇<br>%link'); ?></span>
	                </nav>
	                <?php }?>
	            </article>
	            <?php MBThemes_ad('ad_post_footer');?>
	            <?php if(_MBT('post_related')) get_template_part('module/related');?>
	            <?php comments_template('', true); ?>
	            <?php MBThemes_ad('ad_post_comment');?>
	    	</div>
	    </div>
		<?php if(!$nosidebar) get_sidebar(); ?>
	</div>
</div>
<?php get_footer();?>