<?php get_header();?>
<?php if(_MBT('banner') && !_MBT('slider')){?>
<div class="banner"<?php if(_MBT('banner_img')){?> style="background-image: url(<?php echo _MBT('banner_img');?>);" <?php }?>>
	<div class="container">
    	<h2><?php echo _MBT('banner_title');?></h2>
        <p><?php echo _MBT('banner_desc');?></p>
        <?php if(_MBT('banner_search')){?>
        <div class="search-form">
            <form method="get" class="site-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" >
              <?php 
		        if(_MBT('banner_cats')){
		          $cats = explode(',', trim(_MBT('banner_cats')));
		          if(count($cats)){
		            echo '<select name="cat" class="search-cat"><option value="">全站</option>';
		            foreach ($cats as $cat) {
		              echo '<option value="'.$cat.'">'.get_category($cat)->name.'</option>';
		            }
		            echo '</select>';
		          }
		        }
		      ?>
              <input class="search-input" name="s" type="text" placeholder="搜索一下">
              <button class="search-btn" type="submit">搜索</button>
            </form>
        </div>
        <?php }else{ if(_MBT('banner_btn')){?><a href="<?php echo _MBT('banner_link');?>" target="_blank"><?php echo _MBT('banner_btn');?></a><?php } }?>
    </div>
</div>
<?php } if(_MBT('slider')){ get_template_part("module/slider");}?>
<div class="main">
	<div class="container">
		<?php MBThemes_ad('ad_banner_footer','',30);?>
		<?php if(_MBT('home_cat')){?>
		<div class="cat-nav-wrap">
			<ul class="cat-nav">
				<?php echo str_replace("</ul></div>", "", preg_replace("{<div[^>]*><ul[^>]*>}", "", wp_nav_menu(array('theme_location' => 'cat', 'echo' => false)) )); ?>
			</ul>
		</div>
		<?php }?>
		<div id="posts" class="posts grids <?php if(_MBT('waterfall')) echo 'waterfall';?> clearfix">
			<?php 
			  	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				$args = array(
				    //'ignore_sticky_posts' => 1,
				    'category__not_in' => explode(',', _MBT('home_cats_exclude')),
				    'paged' => $paged
				);
				query_posts($args);
				while ( have_posts() ) : the_post(); 
				get_template_part( 'content', get_post_format() );
				endwhile; wp_reset_query(); 
			?>
		</div>
		<?php MBThemes_paging();?>
		<div class="posts-loading"><img src="<?php bloginfo('template_url')?>/static/img/loader.gif"></div>
	</div>
	<?php if(_MBT('home_blog')) get_template_part("module/home-blogs");?>
	<?php if(_MBT('ad_home_footer_s')) {echo '<div class="container">';MBThemes_ad('ad_home_footer');echo '</div>';}?>
</div>
<?php get_footer();?>