<?php 
/*
	template name: VIP介绍
	description: template for mobantu.com modown theme 
*/
get_header();
$ciphp_quarter_price = get_option('ciphp_quarter_price');
$ciphp_month_price  = get_option('ciphp_month_price');
$ciphp_year_price    = get_option('ciphp_year_price');
$ciphp_life_price  = get_option('ciphp_life_price');
?>
<style>
	.main{padding-top:0}
	.content-wrap{margin:0}
	.single-content{padding:0;margin:0;background:#f9f9f9}
	.article-title{margin-top:50px;margin-bottom:50px;font-size:28px}
	.article-content{margin-bottom:0}
	.vip-desc{text-align: center;font-size: 14px;color:#999;margin-top: -40px;margin-bottom: 40px;}
</style>
<div class="main">
	<div class="container">
		<div class="content-wrap">
	    	<div class="content">
	    		<?php while (have_posts()) : the_post(); ?>
	    		<article class="single-content">
	    			<header class="article-header">
		    			<h1 class="article-title center"><?php the_title(); ?></h1>
		    			<div class="vip-desc"><?php echo _MBT('vip_desc');?></div>
		    		</header>
		    		<div class="vip-content clearfix">
		    			<?php if($ciphp_month_price){?>
		                <div class="vip-item">
		                    <h6>普通会员</h6>
		                    <p>VIP</p>
		                    <span class="price"><?php echo $ciphp_month_price;?><small><?php echo get_option('ice_name_alipay');?></small></span>
		                    <p class="border-decor">1个月</p>
		                    <?php echo _MBT('vip_month');?>
		                    <?php if(is_user_logged_in()){?>
		                    <a href="<?php echo get_permalink(MBThemes_page("template/user.php"));?>?action=vip&type=7" class="btn btn-small">立即升级</a>
		                	<?php }else{?>
		                	<a href="javascript:;" class="btn btn-small signin-loader">立即升级</a>
		                	<?php }?>
		                </div>  
		            	<?php }?>

		            	<?php if($ciphp_quarter_price){?>
		                <div class="vip-item">
		                    <h6>普通会员</h6>
		                    <p>VIP</p>
		                    <span class="price"><?php echo $ciphp_quarter_price;?><small><?php echo get_option('ice_name_alipay');?></small></span>
		                    <p class="border-decor">3个月</p>
		                    <?php echo _MBT('vip_quarter');?>
		                    <?php if(is_user_logged_in()){?>
		                    <a href="<?php echo get_permalink(MBThemes_page("template/user.php"));?>?action=vip&type=8" class="btn btn-small">立即升级</a>
		                	<?php }else{?>
		                	<a href="javascript:;" class="btn btn-small signin-loader">立即升级</a>
		                	<?php }?>
		                </div>  
		            	<?php }?>

		            	<?php if($ciphp_year_price){?>
		                <div class="vip-item">
		                    <h6>高级会员</h6>
		                    <p>VIP</p>
		                    <span class="price"><?php echo $ciphp_year_price;?><small><?php echo get_option('ice_name_alipay');?></small></span>
		                    <p class="border-decor">12个月</p>
		                    <?php echo _MBT('vip_year');?>
		                    <?php if(is_user_logged_in()){?>
		                    <a href="<?php echo get_permalink(MBThemes_page("template/user.php"));?>?action=vip&type=9" class="btn btn-small">立即升级</a>
		                	<?php }else{?>
		                	<a href="javascript:;" class="btn btn-small signin-loader">立即升级</a>
		                	<?php }?>
		                </div>  
		            	<?php }?>

		            	<?php if($ciphp_life_price){?>
		                <div class="vip-item">
		                    <h6>超级会员</h6>
		                    <p>SVIP</p>
		                    <span class="price"><?php echo $ciphp_life_price;?><small><?php echo get_option('ice_name_alipay');?></small></span>
		                    <p class="border-decor">终身</p>
		                    <?php echo _MBT('vip_life');?>
		                    <?php if(is_user_logged_in()){?>
		                    <a href="<?php echo get_permalink(MBThemes_page("template/user.php"));?>?action=vip&type=10" class="btn btn-small">立即升级</a>
		                	<?php }else{?>
		                	<a href="javascript:;" class="btn btn-small signin-loader">立即升级</a>
		                	<?php }?>
		                </div>  
		            	<?php }?>
	
		            </div>
		    		<?php endwhile;  ?>
	            </article>
	    	</div>
	    </div>
	</div>
</div>
<?php get_footer();?>