<?php
add_shortcode('mocat','MBThemes_shortcode_cat');
function MBThemes_shortcode_cat($atts){
	$atts = shortcode_atts( array(
        'id' => '',
        'num' => 8,
        'title' => '',
        'more' => 1,
        'new' => 0,
        'text' => '查看更多',
        'link' => '',
        'child' => 0,
        'child-num' => 5
    ), $atts, 'mocat' );
    $title = $atts['title']?$atts['title']:get_cat_name($atts['id']);
    if($atts['id']) $category = get_term( $atts['id'], 'category' );else $category = '';
    $html = '<div class="mocat"><div class="container">';
    $html .= '<h2><span>'.$title;
    if($atts['new']){
    	$html .= '<i>NEW</i>';
    }
    $html .= '</span></h2>';
    if($category){if($category->description) $html .= '<p class="desc">'.$category->description.'</p>';}
    if($atts['child'] && $atts['id']){
    	$category = get_term_by('id',$atts['id'],'category');
    	$cat_childs = get_categories("parent=".$category->term_id."&hide_empty=1&depth=1");  
  		if($cat_childs){
  			$html .= '<ul class="child"><li><a href="javascript:;" class="active" data-c="'.$atts['id'].'" data-c2="0" data-num="'.$atts['num'].'">全部</a></li>';
  			$i = 1;
  			foreach ($cat_childs as $term) {
  				if($i > $atts['child-num']) $html .= '';
  				else $html .= '<li><a href="javascript:;" data-c="'.$atts['id'].'" data-c2="'.$term->term_id.'" data-num="'.$atts['num'].'">'.$term->name.'</a></li>';
  				$i ++;
  			}
  			$html .= '</ul>';
  		}
    }
    $html .= '<div class="grids clearfix">';
    if($atts['id']){ 
        $args = array(
    		'cat'              => $atts['id'],
    		'showposts'        => $atts['num'],
    		'ignore_sticky_posts' => 1
    	);
    }else{
        $args = array(
            'showposts'        => $atts['num'],
            'category__not_in' => explode(',', _MBT('home_cats_exclude')),
            'ignore_sticky_posts' => 1
        );
    }
	query_posts($args);
	while (have_posts()) : the_post();
    $ts = get_post_meta(get_the_ID(),'down_special',true);
		$tj = get_post_meta(get_the_ID(),'down_recommend',true);
    $tsstyle = '';
		if($tj) $tj = ' grid-tj'; else $tj = '';
    if($ts){ 
      $ts = ' grid-ts'; 
      $tsstyle = ' style="background-image:url('.MBThemes_thumbnail_full().')"';
    }else $ts = '';
		$start_down=get_post_meta(get_the_ID(), 'start_down', true);
        $start_down2=get_post_meta(get_the_ID(), 'start_down2', true);
	  $price=get_post_meta(get_the_ID(), 'down_price', true);
	  $memberDown=get_post_meta(get_the_ID(), 'member_down',TRUE);
    $downtimes = get_post_meta(get_the_ID(),'down_times',true);
		$html .= '<div class="post grid'.$tj.$ts.'"'.$tsstyle.'>
		  <div class="img"><a href="'.get_permalink().'" title="'.get_the_title().'" target="_blank" rel="bookmark">
		    <img src="'.MBThemes_thumbnail().'" class="thumb" alt="'.get_the_title().'">
		  </a></div>
		  <h3 itemprop="name headline"><a itemprop="url" rel="bookmark" href="'.get_permalink().'" title="'.get_the_title().'" target="_blank">'.get_the_title().'</a></h3>
		  <div class="grid-meta">';
		    if(_MBT('post_date')) $html .= '<span class="time"><i class="dripicons dripicons-clock"></i> '.MBThemes_timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ).'</span>';
		    if(_MBT('post_views')) $html .= '<span class="views"><i class="dripicons dripicons-preview"></i> '.MBThemes_views(false).'</span>';
            if(_MBT('post_comments')) $html .= '<span class="comments"><i class="dripicons dripicons-message"></i> '.get_comments_number('0', '1', '%').'</span>';
		    if(($start_down || $start_down2) && wp_is_erphpdown_active()){
		        if(_MBT('post_downloads')) $html .= '<span class="downs"><i class="dripicons dripicons-download"></i> '.($downtimes?$downtimes:'0').'</span>';
            if(!_MBT('post_price')){
                $html .= '<span class="price">';
                if($memberDown == '4') $html .= '<i class="dripicons dripicons-ticket"></i> VIP专享';
                elseif($price) $html .= '<i class="dripicons dripicons-ticket"></i> '.$price.' '.get_option("ice_name_alipay");
                else $html .= '<i class="dripicons dripicons-ticket"></i> 免费';
                $html .= '</span>';
            }
		  	}
		$html .= '</div>
		</div>';

	endwhile; wp_reset_query(); 
	$html .= '</div>';
	if($atts['more']) $html .= '<div class="more"><a href="'.($atts['link']?$atts['link']:get_category_link($atts['id'])).'" target="_blank">'.$atts['text'].'</a></div>';
    $html .= '</div></div>';
    return $html;
}

function MBThemes_shortcode_img($atts, $content=null, $code="") {
    $return = '<img class="alignnone" src="';
    $return .= htmlspecialchars($content);
    $return .= '" alt="" />';
    return $return;
}
add_shortcode('img' , 'MBThemes_shortcode_img' );

function MBThemes_shortcode_code($atts, $content=null, $code="") {
    $content = htmlspecialchars($content);
    $return = '<div class="code-highlight"><pre><code class="hljs">';
    $return .= ltrim($content, '\n');
    $return .= '</code></pre></div>';
    return $return;
}
add_shortcode('code' , 'MBThemes_shortcode_code' );